<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"      
      >
    <h:head>
        <title>Index Prime 2</title>
    </h:head>
    <h:body>

        <h:form prependId="false" >
            
            <p:growl id="growl"/>
            <p:panelGrid columns="2" id="painel" >

                <p:outputLabel value="Nome:" for="nome" />
                <p:inputText id="nome"   value="#{helloBean.nome}" required="true" requiredMessage="Campo Obrigatório!!!" />

                <h:panelGroup>
                    <p:commandButton update="painel,lblnome,growl" value="Vai!" action="#{helloBean.vai}"/>
                </h:panelGroup>
            </p:panelGrid> 

            <p:outputLabel id="lblnome"   value="#{helloBean.nome}" />

        </h:form>

    </h:body>
</html>

